# H281VideoSource Class Reference

`#include <h281handler.h>`

## Public Member Functions

| H281VideoSource ()
| ~H281VideoSource ()
PBoolean | IsEnabled () const
void | SetEnabled (PBoolean flag)
BYTE | GetVideoSourceNumber () const
void | SetVideoSourceNumber (BYTE number)
PBoolean | CanMotionVideo () const
void | SetCanMotionVideo (PBoolean flag)
PBoolean | CanNormalResolutionStillImage () const
void | SetCanNormalResolutionStillImage (PBoolean flag)
PBoolean | CanDoubleResolutionStillImage () const
void | SetCanDoubleResolutionStillImage (PBoolean flag)
PBoolean | CanPan () const
void | SetCanPan (PBoolean flag)
PBoolean | CanTilt () const
void | SetCanTilt (PBoolean flag)
PBoolean | CanZoom () const
void | SetCanZoom (PBoolean flag)
PBoolean | CanFocus () const
void | SetCanFocus (PBoolean flag)
void | Encode (BYTE *data) const
PBoolean | Decode (const BYTE *data)

## Protected Attributes

PBoolean | isEnabled
BYTE | firstOctet
BYTE | secondOctet

## Detailed Description

This class implements a storage for which cameras are available at both the local or remote side

## Constructor & Destructor Documentation

H281VideoSource::H281VideoSource | ( |  | ) |

H281VideoSource::~H281VideoSource | ( |  | ) |

## Member Function Documentation

PBoolean H281VideoSource::CanDoubleResolutionStillImage | ( |  | ) | const`[inline]`

PBoolean H281VideoSource::CanFocus | ( |  | ) | const`[inline]`

PBoolean H281VideoSource::CanMotionVideo | ( |  | ) | const`[inline]`

PBoolean H281VideoSource::CanNormalResolutionStillImage | ( |  | ) | const`[inline]`

PBoolean H281VideoSource::CanPan | ( |  | ) | const`[inline]`

PBoolean H281VideoSource::CanTilt | ( |  | ) | const`[inline]`

PBoolean H281VideoSource::CanZoom | ( |  | ) | const`[inline]`

PBoolean H281VideoSource::Decode | ( | const BYTE * | data | ) |

void H281VideoSource::Encode | ( | BYTE * | data | ) | const

BYTE H281VideoSource::GetVideoSourceNumber | ( |  | ) | const`[inline]`

PBoolean H281VideoSource::IsEnabled | ( |  | ) | const`[inline]`

void H281VideoSource::SetCanDoubleResolutionStillImage | ( | PBoolean | flag | ) |

void H281VideoSource::SetCanFocus | ( | PBoolean | flag | ) |

void H281VideoSource::SetCanMotionVideo | ( | PBoolean | flag | ) |

void H281VideoSource::SetCanNormalResolutionStillImage | ( | PBoolean | flag | ) |

void H281VideoSource::SetCanPan | ( | PBoolean | flag | ) |

void H281VideoSource::SetCanTilt | ( | PBoolean | flag | ) |

void H281VideoSource::SetCanZoom | ( | PBoolean | flag | ) |

void H281VideoSource::SetEnabled | ( | PBoolean | flag | ) | `[inline]`

void H281VideoSource::SetVideoSourceNumber | ( | BYTE | number | ) |

## Field Documentation

BYTE H281VideoSource::firstOctet `[protected]`

PBoolean H281VideoSource::isEnabled `[protected]`

BYTE H281VideoSource::secondOctet `[protected]`

The documentation for this class was generated from the following file:

- h281handler.h